
Redmine - Defect #2192

Autofetch works in repository page, but not in issues.

2008-11-14 21:34 - Chris Dew

Status: Closed Start date: 2008-11-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

URL: svn://rubyforge.org/var/svn/redmine/trunk

Repository Root: svn://rubyforge.org/var/svn/redmine

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 2022

I've been using Redmine for a couple of days now.

One strange issue I've come across is that 'autofetch commits' only autofetches them when you look at the repository.

If you commit and push a change which fixes an issue, that commit will not show against that issue until a user has viewed the

repository page.  This seems a bit off, really.

Could/should autofetch happen on every page whose display could be affected by the results on an autofetch?  i.e. at least the

issues and repository pages.

Thanks,

Chris.

History

#1 - 2008-11-16 09:07 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Closed

- Resolution set to Wont fix

Not a defect, see the guide:

http://www.redmine.org/wiki/redmine/RedmineSettings#Autofetch-commits

Could/should autofetch happen on every page whose display could be affected by the results on an autofetch?

 No, querying the repository on each page would affect the performance.

Setting up post commit hooks on your repository would be a better solution.

#2 - 2008-11-16 12:05 - Chris Dew

Thanks for the hint.  I've successfully setup a post-receive hook in git to accomplish my task and written up my experience at 

http://finalcog.com/remine-git-post-receive - in case anyone else has this issue.

#3 - 2008-11-16 12:30 - Jean-Philippe Lang

Thanks for the feedback.

I've added a link to your tutorial in the wiki.
